Apache Tomcat 7.0.42

## org.apache.catalina.valves
Class ExtendedAccessLogValve.PatternTokenizer

    java.lang.Object
      org.apache.catalina.valves.ExtendedAccessLogValve.PatternTokenizer

Enclosing class:
  ExtendedAccessLogValve

    protected static class ExtendedAccessLogValve.PatternTokenizer

extends Object

Constructor Summary
`ExtendedAccessLogValve.PatternTokenizer(String str)`

Method Summary
`String` `getParameter()`
`String` `getRemains()`
`String` `getToken()`
`String` `getWhiteSpaces()`
`boolean` `hasParameter()`
`boolean` `hasSubToken()`
`boolean` `isEnded()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedAccessLogValve.PatternTokenizer

    public ExtendedAccessLogValve.PatternTokenizer(String str)

Method Detail

### hasSubToken

    public boolean hasSubToken()

### hasParameter

    public boolean hasParameter()

### getToken

    public String getToken()
                    throws IOException

  Throws:
    `IOException`

### getParameter

    public String getParameter()
                        throws IOException

  Throws:
    `IOException`

### getWhiteSpaces

    public String getWhiteSpaces()
                          throws IOException

  Throws:
    `IOException`

### isEnded

    public boolean isEnded()

### getRemains

    public String getRemains()
                      throws IOException

  Throws:
    `IOException`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.